Bug 543906 - [ml_IN] Conjunct 'sple' (as in display) is not rendered correctly with Meera font
Summary: [ml_IN] Conjunct 'sple' (as in display) is not rendered correctly with Meera ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: smc-fonts
Version: 19
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 747193
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-03 13:25 UTC by Praveen Arimbrathodiyil
Modified: 2014-04-29 10:37 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-29 10:37:27 UTC


Attachments (Terms of Use)
സ്പ്ലെ (sple) in debian and fedora (277.38 KB, image/png)
2009-12-03 13:26 UTC, Praveen Arimbrathodiyil
no flags Details
fontforge glyphinfo/Ligature for conjunct spa in Meera 04.1 (43.61 KB, image/png)
2009-12-04 12:51 UTC, Praveen Arimbrathodiyil
no flags Details
fontforge glyphinfo/Ligature for conjunct spa in Meera 04.2 (42.56 KB, image/png)
2009-12-04 12:53 UTC, Praveen Arimbrathodiyil
no flags Details
Proposed Solution in ttf (326.80 KB, application/x-font-ttf)
2010-04-06 12:33 UTC, Naveen Kumar
no flags Details
fix only for pango (326.80 KB, application/x-font-ttf)
2010-04-22 12:57 UTC, Naveen Kumar
no flags Details
Image showing bug still exist (72.60 KB, image/png)
2014-04-29 10:21 UTC, Pravin Satpute
no flags Details

Description Praveen Arimbrathodiyil 2009-12-03 13:25:53 UTC
Description of problem:
Meera font shipped with Fedora does not display the conjunct 'sple' correctly. It is working correctly with other fonts and same font in debian.

Version-Release number of selected component (if applicable):


How reproducible:

always
Steps to Reproduce:
1. open gedit
2. select Meera font
3. type ഡിസ്പ്ലെ (സ്പ്ലെ = unicode raw 0d38, 0d4d, 0d2a, 0d4d, 0d32)
  
Actual results:
സ്പ and ലെ displayed separately

Expected results:

സ് and പ്ലെ rendered separately

Additional info:

https://savannah.nongnu.org/bugs/index.php?28043

Comment 1 Praveen Arimbrathodiyil 2009-12-03 13:26:57 UTC
Created attachment 375771 [details]
സ്പ്ലെ (sple) in debian and fedora

Comment 2 Pravin Satpute 2009-12-04 08:30:44 UTC
can you update which pango version you are using? and also smc-fonts version

Comment 3 Praveen Arimbrathodiyil 2009-12-04 08:50:02 UTC
pravi@savannah:~$ apt-cache policy libpango1.0-0
libpango1.0-0:
  Installed: 1.26.0-1
  Candidate: 1.26.1-1

I updated it to 1.26.1-1 now. It is working correctly 

Meera font is from http://ftp.de.debian.org/debian/pool/main/t/ttf-indic-fonts/ttf-indic-fonts_0.5.6.tar.gz

Comment 4 Pravin Satpute 2009-12-04 09:04:10 UTC
dont know which version of meera fonts included in ttf-indic-fonts_0.5.6, but when i installed fonts from there tarball its working properly on fedora 12 as well.

We are using http://mirrors.igsobe.com/nongnu/smc/fonts/malayalam-fonts-04.2.zip in fedora, which is latest upstream version.

can you check which version of malayalam-fonts ttf-indic-fonts_0.5.6 uses, so we can add that in upstream and update package

Comment 5 Pravin Satpute 2009-12-04 10:16:24 UTC
while investigating more,
This bug is introduced in migration from malayalam-fonts-04.1.zip to malayalam-fonts-04.2.zip

since things work well with malayalam-fonts-04.1.zip

Comment 6 Praveen Arimbrathodiyil 2009-12-04 12:44:30 UTC
conjunct 'spa' is changed its property from 'pres' to 'akhn' from 04.1 to 04.2. See attachments.

Comment 7 Praveen Arimbrathodiyil 2009-12-04 12:51:13 UTC
Created attachment 376068 [details]
fontforge glyphinfo/Ligature for conjunct spa in Meera 04.1

'pres' Pre Base Substitutions in Malayalam lookup 4 subtable s1xxp1

Comment 8 Praveen Arimbrathodiyil 2009-12-04 12:53:06 UTC
Created attachment 376069 [details]
fontforge glyphinfo/Ligature for conjunct spa in Meera 04.2

'akhn' Akhand in Malayalam lookup 0 subtable s1 xx p1

Comment 9 Naveen Kumar 2010-04-06 12:33:18 UTC
Created attachment 404692 [details]
Proposed Solution in ttf

We added 4 rules 

blwf: xx l3 -> l4
ccmp: s1p1 -> s1 xx p1
calt: s1p1 xx l3 -> s1p1 l4 (blwf)
calt: s1p1 l4 -> s1 xx p1 l4 (ccmp)

This works for Pango and should also work on Uniscribe, but not on ICU and QT(Harfbuzz).

Comment 10 Suresh P 2010-04-06 16:20:00 UTC
(In reply to comment #9)
> Created an attachment (id=404692) [details]
> Proposed Solution in ttf
> 
> We added 4 rules 
> 
> blwf: xx l3 -> l4

This rule will make the l4 glyph appear below any Consonant/Conjunct followed by xx l3(eg. ഡ്ല, യ്ല, റ്റ്ല etc.) and it will go against traditional orthography. Which means more contextual rules.

> ccmp: s1p1 -> s1 xx p1
> calt: s1p1 xx l3 -> s1p1 l4 (blwf)
> calt: s1p1 l4 -> s1 xx p1 l4 (ccmp)
> 
> This works for Pango and should also work on Uniscribe, but not on ICU and
> QT(Harfbuzz).

Comment 11 Naveen Kumar 2010-04-22 12:57:15 UTC
Created attachment 408315 [details]
fix only for pango

Should work in Pango now...

Comment 12 Naveen Kumar 2010-04-22 13:40:21 UTC
This needs ccmp feature, same is requested for icu and Harfbuzz:

https://bugs.freedesktop.org/show_bug.cgi?id=27485

Comment 13 Fedora Admin XMLRPC Client 2011-06-16 08:51:28 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Harshula Jayasuriya 2011-10-18 02:50:25 UTC
Hi All,

Pango, Harfbuzz and Windows layout engine all appear to support CCMP for Indic. However, ICU still does not. The ICU developers are under the incorrect assumption that the Windows layout engine does not support CCMP for Indic.

So, in terms of CCMP support for Indic, it looks like we just need ICU fixed:
http://bugs.icu-project.org/trac/ticket/7601

cya,
#

Comment 15 Pravin Satpute 2011-10-18 09:21:06 UTC
ccmp is very important feature, it gives good flexibility to font developers.

Comment 16 Fedora End Of Life 2013-04-03 20:13:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 17 Pravin Satpute 2013-05-31 11:10:52 UTC
(In reply to Naveen Kumar from comment #11)
> Created attachment 408315 [details]
> fix only for pango
> 
> Should work in Pango now...

Please update this bug by testing against latest harfbuzz if its still not giving expected result test it with proposed solution by Naveen kumar.

Comment 19 Pravin Satpute 2014-04-16 11:48:06 UTC
Is this bug still exits with latest version of harfbuzz and smc-fonts?

Comment 20 Pravin Satpute 2014-04-29 10:21:21 UTC
Created attachment 890709 [details]
Image showing bug still exist

Reviewed this issue with Ani last week. Issue is still pending and need contextual rules as mentioned by Naveen earlier.

Comment 21 Pravin Satpute 2014-04-29 10:37:27 UTC
Upstream bug available on https://savannah.nongnu.org/bugs/index.php?28043

Closing as a upstream.


Note You need to log in before you can comment on or make changes to this bug.